<?php

declare(strict_types=1);

namespace mirzaev\site\ff\controllers;

// Файлы проекта
use mirzaev\site\ff\controllers\core;

/**
 * Контроллер основной страницы
 *
 * @package mirzaev\site\ff\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class index_controller extends core
{
	/**
	 * Главная страница
	 *
	 * @param array $parameters Параметры запроса
	 */
	public function index(array $parameters = []): ?string
	{
		// Инициализация загружаемых категорий
		$this->variables['include'] = [
			'head' => ['self'],
			'body' => ['self']
		];

		// Инициализация бегущей строки
		$this->variables['hotline'] = [
			'id' => $this->variables['request']['id'] ?? 'hotline'
		];

		// Инициализация параметров бегущей строки
		$this->variables['hotline']['parameters'] = [
			'step' => '0.3'
		];

		// Инициализация аттрибутов бегущей строки
		$this->variables['hotline']['attributes'] = [];

		// Инициализация элементов бегущей строки
		$this->variables['hotline']['elements'] = [
			['html' => '1'],
			[
				'tag' => 'article',
				'attributes' => [
					'class' => 'trash'
				],
				'html' => $this->view->render(DIRECTORY_SEPARATOR . 'hotline' . DIRECTORY_SEPARATOR . 'templates' . DIRECTORY_SEPARATOR . 'trash.html', [
					'id' => 'trash_1',
					'title' => 'Linoleum',
					'main' => '<p>Do you really like the rotting smell, dull sound and disgusting greasy shine of parquet-like fake pattern on a polymer toxic film? <b>Are you fucking insane?</b></p>',
					'image' => [
						'src' => '/images/trash/linoleum.png',
						'alt' => 'Linoleum'
					]
				])
			],
			['html' => '3'],
			['html' => '4'],
			['html' => '5'],
			['html' => '6'],
			['html' => '7'],
			['html' => '8'],
			['html' => '9'],
			['html' => '10'],
			['html' => '11'],
			['html' => '12'],
			['html' => '13'],
			['html' => '14'],
			['html' => '15']
		];

		// Генерация представления
		return $this->view->render(DIRECTORY_SEPARATOR . 'index.html', $this->variables);
	}
}
